# Addressed upstream with https://github.com/qgis/QGIS/issues/56885


--- CMakeLists.txt.orig
+++ CMakeLists.txt
@@ -368,7 +368,7 @@
   find_package(Spatialindex REQUIRED)
   find_package(LibZip REQUIRED)
 
-  find_package(Sqlite3)
+  find_package(SQLite3)
   if (NOT SQLITE3_FOUND)
     message (SEND_ERROR "sqlite3 dependency was not found!")
   endif()


--- src/providers/mdal/CMakeLists.txt.orig
+++ src/providers/mdal/CMakeLists.txt
@@ -91,11 +91,11 @@
     set (HAVE_HDF5 TRUE)
   endif()
 
-  if(SQLITE3_FOUND)
+  if(SQLite3_FOUND)
      set(HAVE_SQLITE3 TRUE)
   endif()
 
-  if(SQLITE3_FOUND AND NETCDF_FOUND)
+  if(SQLite3_FOUND AND NETCDF_FOUND)
      set(MDAL_LIB_SRCS ${MDAL_LIB_SRCS}
       ${CMAKE_SOURCE_DIR}/external/mdal/frmts/mdal_sqlite3.cpp
       ${CMAKE_SOURCE_DIR}/external/mdal/frmts/mdal_3di.cpp


--- src/core/CMakeLists.txt.orig
+++ src/core/CMakeLists.txt
@@ -2282,7 +2282,7 @@
   ${${QT_VERSION_BASE}Concurrent_INCLUDE_DIRS}
   ${LIBZIP_INCLUDE_DIRS}
   ${SPATIALINDEX_INCLUDE_DIR} # before GEOS for case-insensitive filesystems
-  ${SQLITE3_INCLUDE_DIR}
+  ${SQLite3_INCLUDE_DIRS}
   ${QCA_INCLUDE_DIR}
   ${${QT_VERSION_BASE}SerialPort_INCLUDE_DIRS}
   ${Protobuf_INCLUDE_DIRS}
@@ -2458,7 +2458,7 @@
   GDAL::GDAL
   ${SPATIALINDEX_LIBRARY}
   EXPAT::EXPAT
-  ${SQLITE3_LIBRARY}
+  ${SQLite3_LIBRARIES}
   ${LIBZIP_LIBRARY}
   ${Protobuf_LITE_LIBRARY}
   ${ZLIB_LIBRARIES}


--- tests/bench/CMakeLists.txt.orig
+++ tests/bench/CMakeLists.txt
@@ -20,12 +20,12 @@
   ${CMAKE_BINARY_DIR}
 )
 include_directories(SYSTEM
-  ${SQLITE3_INCLUDE_DIR}
+  ${SQLite3_INCLUDE_DIRS}
 )
 
 target_link_libraries(qgis_bench
   qgis_core
-  ${SQLITE3_LIBRARY}
+  ${SQLite3_LIBRARIES}
   ${QT_VERSION_BASE}::Core
   ${QT_VERSION_BASE}::Network
   ${QT_VERSION_BASE}::Svg


--- external/qspatialite/CMakeLists.txt.orig
+++ external/qspatialite/CMakeLists.txt
@@ -6,7 +6,7 @@
 add_definitions(-DQT_SHARED)
 
 include_directories(SYSTEM
-	${SQLITE3_INCLUDE_DIR}
+	${SQLite3_INCLUDE_DIRS}
 	${Qt5Sql_PRIVATE_INCLUDE_DIRS}
 )


--- python/CMakeLists.txt.orig
+++ python/CMakeLists.txt
@@ -77,7 +77,7 @@
   ${QWT_INCLUDE_DIR}
   ${QCA_INCLUDE_DIR}
   ${QTKEYCHAIN_INCLUDE_DIR}
-  ${SQLITE3_INCLUDE_DIR}
+  ${SQLite3_INCLUDE_DIRS}
   ${SPATIALINDEX_INCLUDE_DIR}
 )


--- src/analysis/CMakeLists.txt.orig
+++ src/analysis/CMakeLists.txt
@@ -468,7 +468,7 @@
 endif()
 
 include_directories(SYSTEM ${SPATIALINDEX_INCLUDE_DIR})
-include_directories(SYSTEM ${SQLITE3_INCLUDE_DIR})
+include_directories(SYSTEM ${SQLite3_INCLUDE_DIRS})
 include_directories(BEFORE raster)
 include_directories(BEFORE mesh)
 

--- src/quickgui/plugin/CMakeLists.txt.orig
+++ src/quickgui/plugin/CMakeLists.txt
@@ -30,7 +30,7 @@
 include_directories(SYSTEM
   ${LIBZIP_INCLUDE_DIRS}
   ${SPATIALINDEX_INCLUDE_DIR}
-  ${SQLITE3_INCLUDE_DIR}
+  ${SQLite3_INCLUDE_DIRS}
   ${QCA_INCLUDE_DIR}
   ${QTKEYCHAIN_INCLUDE_DIR}
 )

